datacache <- new.env(hash=TRUE, parent=emptyenv())

drosophila2dmentrezg <- function() showQCData("drosophila2dmentrezg", datacache)
drosophila2dmentrezg_dbconn <- function() dbconn(datacache)
drosophila2dmentrezg_dbfile <- function() dbfile(datacache)
drosophila2dmentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
drosophila2dmentrezg_dbInfo <- function() dbInfo(datacache)

drosophila2dmentrezgORGANISM <- "Drosophila melanogaster"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "drosophila2dmentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("FLYCHIP_DB", "drosophila2dmentrezg", "chip drosophila2dmentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(drosophila2dmentrezg_dbconn())
}

